IF NOT EXISTS (SELECT 1 FROM SysLic)
	RETURN;

--region SysEntitySchemaRecordDefRight
IF OBJECT_ID('tr_FreezeDefRight_II') IS NOT NULL
	DROP TRIGGER tr_FreezeDefRight_II;

DECLARE @CreateTriggerFreezeDefRight NVARCHAR(MAX) =
'CREATE TRIGGER tr_FreezeDefRight_II ON SysEntitySchemaRecordDefRight
	INSTEAD OF INSERT
AS
BEGIN
	SET NOCOUNT ON;
	INSERT INTO SysEntitySchemaRecordDefRight
	SELECT *
	FROM INSERTED
	WHERE SubjectSchemaUId NOT IN (SELECT SubjectSchemaUId FROM SysEntitySchemaRecordDefRight);
END';
EXEC(@CreateTriggerFreezeDefRight);
--endregion

--region SysEntitySchemaOperationRight
/*
IF OBJECT_ID('tr_FreezeOperationRight_II') IS NOT NULL
	DROP TRIGGER tr_FreezeOperationRight_II;

DECLARE @CreateTriggerFreezeOperationRight NVARCHAR(MAX) =
'CREATE TRIGGER tr_FreezeOperationRight_II ON SysEntitySchemaOperationRight
	INSTEAD OF INSERT
AS
BEGIN
	SET NOCOUNT ON;
	INSERT INTO SysEntitySchemaOperationRight
	SELECT *
	FROM INSERTED
	WHERE SubjectSchemaUId NOT IN (SELECT SubjectSchemaUId FROM SysEntitySchemaOperationRight);
END';
EXEC(@CreateTriggerFreezeOperationRight);
*/
--endregion

--region SysEntitySchemaColumnRight
IF OBJECT_ID('tr_FreezeColumnRight_II') IS NOT NULL
	DROP TRIGGER tr_FreezeColumnRight_II;

DECLARE @CreateTriggerFreezeColumnRight NVARCHAR(MAX) =
'CREATE TRIGGER tr_FreezeColumnRight_II ON SysEntitySchemaColumnRight
	INSTEAD OF INSERT
AS
BEGIN
	SET NOCOUNT ON;
	INSERT INTO SysEntitySchemaColumnRight
	SELECT *
	FROM INSERTED
	WHERE SubjectSchemaUId NOT IN (SELECT SubjectSchemaUId FROM SysEntitySchemaColumnRight);
END';
EXEC(@CreateTriggerFreezeColumnRight);
--endregion