IF NOT EXISTS (SELECT 1 FROM SysLic)
	RETURN;

--region SyncErrorHandler
IF OBJECT_ID('dlv.SyncErrorHandler_backup') IS NOT NULL
BEGIN
	UPDATE entity
	SET
		entity.Name = bak.Name,
		entity.Description = bak.Description,
		entity.Code = bak.Code,
		entity.ExceptionClass = bak.ExceptionClass,
		entity.MessageFilter = bak.MessageFilter,
		entity.RetryCount = bak.RetryCount,
		entity.ErrorCodeId = bak.ErrorCodeId
	FROM dlv.SyncErrorHandler_backup bak
	INNER JOIN SyncErrorHandler entity ON entity.Id = bak.Id;

	-- DROP TABLE dlv.SyncErrorHandler_backup;
END
--endregion

--region SysSyncErrorHandlerLcz
IF OBJECT_ID('dlv.SysSyncErrorHandlerLcz_backup') IS NOT NULL
BEGIN
	UPDATE entity
	SET
		entity.Name = bak.Name,
		entity.Description = bak.Description
	FROM dlv.SysSyncErrorHandlerLcz_backup bak
	INNER JOIN SysSyncErrorHandlerLcz entity ON (entity.RecordId = bak.RecordId AND entity.SysCultureId = bak.SysCultureId);
	-- DROP TABLE dlv.SysSyncErrorHandlerLcz_backup;
END
--endregion