﻿IF NOT EXISTS (SELECT 1 FROM SysLic)
	RETURN;

IF OBJECT_ID('TimelinePageSetting_backup') IS NULL
	RETURN;

UPDATE tps
SET tps.Data = tps_b.Data
FROM TimelinePageSetting_backup tps_b
INNER JOIN TimelinePageSetting tps ON tps.[Key] = tps_b.[Key];

INSERT INTO TimelinePageSetting
SELECT
	*
FROM TimelinePageSetting_backup tps_b
WHERE tps_b.[Key] NOT IN (SELECT [Key] FROM TimelinePageSetting);

DROP TABLE TimelinePageSetting_backup;