IF NOT EXISTS (SELECT 1 FROM SysLic)
	RETURN;

IF OBJECT_ID('dlv.CommunicationType_backup') IS NULL
	RETURN;

--region Name
PRINT 'Column [Name]';
UPDATE CommunicationType
SET CommunicationType.Name = bak.Name
FROM dlv.CommunicationType_backup bak
INNER JOIN CommunicationType ON bak.Id = CommunicationType.Id
	AND bak.Name != CommunicationType.Name;
--endregion Name

--region Usefor
PRINT 'Columns [UseforContacts], [UseforAccounts]';
UPDATE CommunicationType
SET CommunicationType.UseforContacts = bak.UseforContacts,
	CommunicationType.UseforAccounts = bak.UseforAccounts
FROM dlv.CommunicationType_backup bak WITH (NOLOCK)
WHERE bak.Id = CommunicationType.Id
	AND (bak.UseforContacts != CommunicationType.UseforContacts
		OR bak.UseforAccounts != CommunicationType.UseforAccounts);
--endregion Usefor