DECLARE @GlobalSearchRelatedEntityIndexing NVARCHAR(50) = 'GlobalSearchRelatedEntityIndexing';
DECLARE @GlobalSearchRelatedEntityIndexingId UNIQUEIDENTIFIER = (SELECT TOP 1 Id
FROM Feature WHERE Code = @GlobalSearchRelatedEntityIndexing);
DECLARE @allEmployeesId UNIQUEIDENTIFIER = 'A29A3BA5-4B0D-DE11-9A51-005056C00008';

IF (@GlobalSearchRelatedEntityIndexingId IS NOT NULL) 
 BEGIN
   IF EXISTS (SELECT * FROM AdminUnitFeatureState WHERE FeatureId =
@GlobalSearchRelatedEntityIndexingId)
     UPDATE AdminUnitFeatureState SET FeatureState = 1 WHERE FeatureId
= @GlobalSearchRelatedEntityIndexingId
    ELSE      
     INSERT INTO AdminUnitFeatureState (SysAdminUnitId, FeatureState,
 FeatureId) VALUES (@allEmployeesId, '1',
@GlobalSearchRelatedEntityIndexingId)
 END
ELSE
 BEGIN
   SET @GlobalSearchRelatedEntityIndexingId = NEWID()
   INSERT INTO Feature (Id, Name, Code) VALUES
(@GlobalSearchRelatedEntityIndexingId, @GlobalSearchRelatedEntityIndexing,
@GlobalSearchRelatedEntityIndexing)
   INSERT INTO AdminUnitFeatureState (SysAdminUnitId, FeatureState,
 FeatureId) VALUES (@allEmployeesId, '1',
@GlobalSearchRelatedEntityIndexingId)
 END