IF OBJECT_ID('CampaignQueue', 'U') IS NULL
	RETURN;

DECLARE @expirationPeriod INTEGER;

SELECT
	@expirationPeriod = ssv.IntegerValue
FROM SysSettingsValue ssv
JOIN SysSettings ss ON ssv.SysSettingsId = ss.Id
WHERE ss.Code = 'CampaignTriggeredQueueTimeout';

INSERT INTO CampaignQueue
	(Id, CreatedOn, CreatedById, ModifiedOn, ModifiedById, ProcessListeners, ContactId, CampaignItemId, ExpirationPeriod)
SELECT
	cs.Id,
	cs.CreatedOn,
	cs.CreatedById,
	cs.ModifiedOn,
	cs.ModifiedById,
	cs.ProcessListeners,
	cs.ContactId,
	cs.CampaignItemId,
	@expirationPeriod
FROM CampaignSignal cs;