﻿IF NOT EXISTS (SELECT 1 FROM SysLic)
	RETURN;

--region SysModuleEdit
IF OBJECT_ID('dlv.SysModuleEdit_backup') IS NOT NULL
BEGIN
	UPDATE entity
	SET
		entity.TypeColumnValue = bak.TypeColumnValue,
		entity.Position = bak.Position,
		entity.CardSchemaUId = bak.CardSchemaUId,
		entity.ActionKindCaption = bak.ActionKindCaption,
		entity.ActionKindName = bak.ActionKindName,
		entity.PageCaption = bak.PageCaption
	FROM dlv.SysModuleEdit_backup bak
	INNER JOIN SysModuleEdit entity ON entity.Id = bak.Id;

	INSERT INTO SysModuleEdit
		(TypeColumnValue, Position, CardSchemaUId, ActionKindCaption, ActionKindName, PageCaption)
	SELECT
		bak.TypeColumnValue, bak.Position, bak.CardSchemaUId, bak.ActionKindCaption, bak.ActionKindName, bak.PageCaption
	FROM dlv.SysModuleEdit_backup bak
	LEFT OUTER JOIN SysModuleEdit entity ON entity.Id = bak.Id
	WHERE entity.Id IS NULL;

	--DROP TABLE dlv.SysModuleEdit_backup;
END
--endregion

--region SysModuleEditLcz
IF OBJECT_ID('dlv.SysModuleEditLcz_backup') IS NOT NULL
BEGIN
	UPDATE entity
	SET
		entity.ActionKindCaption = bak.ActionKindCaption,
		entity.PageCaption = bak.PageCaption
	FROM dlv.SysModuleEditLcz_backup bak
	INNER JOIN SysModuleEditLcz entity ON (entity.RecordId = bak.RecordId AND entity.SysCultureId = bak.SysCultureId);

	INSERT INTO SysModuleEditLcz
		(ActionKindCaption, PageCaption)
	SELECT
		bak.ActionKindCaption, bak.PageCaption
	FROM dlv.SysModuleEditLcz_backup bak
	LEFT OUTER JOIN SysModuleEditLcz entity ON (entity.RecordId = bak.RecordId AND entity.SysCultureId = bak.SysCultureId)
	WHERE entity.Id IS NULL;

	--DROP TABLE dlv.SysModuleEditLcz_backup;
END
--endregion

--region SysModuleEntity
IF OBJECT_ID('dlv.SysModuleEntity_backup') IS NOT NULL
BEGIN
	UPDATE entity
	SET
		entity.TypeColumnUId = bak.TypeColumnUId,
		entity.SysEntitySchemaUId = bak.SysEntitySchemaUId
	FROM dlv.SysModuleEntity_backup bak
	INNER JOIN SysModuleEntity entity ON entity.Id = bak.Id;

	--DROP TABLE dlv.SysModuleEntity_backup;
END
--endregion